html, body {
    height: 100%
}
body {
    margin: 2px 0
}
img {
    border: 0;
}

.clearfix:after {
     visibility: hidden;
     display: block;
     font-size: 0;
     content: " ";
     clear: both;
     height: 0;
     }
.clearfix { display: inline-block; }
/* start commented backslash hack \*/
* html .clearfix { height: 1%; }
.clearfix { display: block; }
/* close commented backslash hack */

.textlogo {
    color: #000000;
    font-family: Arial;
    font-size: 30px;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: bold;
}
#topmsg {
    top: 0;
    position: fixed;
    border: 1px solid #060;
    padding: 2px;
    width: 500px;
    margin: 0 auto;
    background-color: #eee;
}
.chatarea {
width: 316px;
margin: 0 auto;
height: 100%;

position: relative;
}
#processing {
    display: none;
    position: fixed;
    top: 46%;
    left: 49%;
    padding: 2px;
    z-index: 9999;
    background: #fff;
    border: 4px solid #fff;
    border-radius: 4px;
}
#proessmsg {
    border-top: 0px;
    color: #666;
    filter: alpha(opacity=70);
    opacity: 0.7;
    width: 100%;
}
#proessmsg img {
    vertical-align: middle;
}
.w12 {
    width: 48%;
}
#topcontainer{
	  
    
    margin: 0 auto;
    display: -webkit-flex; /* Safari */     
    display: flex; /* Standard syntax */
}
#logocontainer {
       padding: 0px 0 0px 10px;
    
    -webkit-flex: 2; /* Safari */
    -ms-flex: 2; /* IE 10 */
    flex: 2; /* Standard syntax */
}
#mutecontainer {
padding: 12px 9px 0 0;
 
-webkit-flex: 1;
-ms-flex: 1;
flex: 1;
text-align: right;
}
#recordContainer {
    background: none repeat scroll 0 0 #ffffff;
    border: 4px solid #ccc;
    position: fixed;
    bottom: 0px;
    
    z-index: 999;
    margin: 0 auto;
    color: #000;
    display: none;
    padding: 8px;
    width: 290px;
}
#closerecordContainer {
    cursor: pointer;
    position: absolute;
    top: 1px;
    right: 1px;
    color: #f00;
    background-color: #ddd;
    border-radius: 5px;
    padding: 2px 8px;
}
#recordingsList {
    margin: 0;
    padding: 0;
}
.slidecontainer {
    width: 100%;
    margin: 8px 0;
    text-align: center;
}
.slider {
    -webkit-appearance: none;
    width: 98%;
    height: 3px;
    border-radius: 2px;
    border: none;
    background: #7F7F7F;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
}
.slider:hover {
    opacity: 1;
}
.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 4px;
    height: 25px;
    border-radius: 0%;
    background: #ED7D31;
    cursor: pointer;
}
.slider::-moz-range-thumb {
    width: 4px;
    height: 25px;
    border-radius: 0%;
    background: #ED7D31;
    cursor: pointer;
}
.button {
    color: #0096FF;
    min-width: 82px;
    padding: 10px;
    font-weight: bold;
    background-color: #FAF879;
    border: 0px solid #fff;
    font-size: 16px;
    line-height: 25px;
    cursor: pointer;
    border-radius: 13px;
    font-size: 18px;
    box-shadow: 1px 1px 10px #666;
    margin-top: 4px;
	margin-left: 2px;
}
.button:hover {
    background-color: #2F528F;

    color: #FAF879;
}
.red {
    color: #f00;
}
.orangebutton {
    background-color: #ED7D31;
    border: 1px solid #4472C4;
    width: 96px;
    height: 96px;
    margin: 6px auto;
    font-weight: bold;
    border-radius: 50%;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
}
#timecounter {
    font-size: 18px;
}
#debug, #bot {
    display: none;
}
#chat, #logs {
    background: none repeat scroll 0 0 #009900;
    border: 5px solid #8C7609;
    bottom: 207px;
    color: #FFFFFF;
    font-size: 15px;
    overflow-y: auto;
    padding: 0 8px;
    position: fixed;
    top: 70px;
    width: 290px;
    z-index: 99;
    /*max-height: 280px;*/
}
#controls {
    position: fixed;
    text-align: center;
    height: 48px;
    bottom: 154px;
    width: 290px;
}
#teacherarea {
    z-index: 99;
    border: 1px solid #fff;
    border-width: 1px 0 0 0;


}
#teacher {
    display: none;
    /*background:transparent url('../pics/teacher.png') left bottom  no-repeat;float:left;*/
    height: 252px;
    width: 168px;
    position: absolute;
    bottom: 0;
    right: 0;
}
#clearboard {
    display: none;
}
#student {
    /*top: 38px;
    height: 22px;
    margin-top: 4px;
    position: absolute;float: left;*/
    width: 100%;
    
    */
}
#studnettype {
     
     
}
#question {

    width: 309px;
}
#submitbutton {
   
}
.client {
    color: #fff;
}
.bot {
    color: #fff;
}
#chatForm input[type="text"] {
    width: 240px;
}
#editForm table, #categories table {
    width: 100%;
}
#editForm th {
    width: 120px;
}
#editForm {
    border: 1px solid #060;
    background-color: #cfc;
    padding: 5px;
}
#categories table tr.even {
    background-color: #eee;
}
form {
    margin-bottom: 15px;
}
input, textarea {
    border: 1px solid #888;
}
.loading {
    display: none;
}
.ko, .ok {
    display: none;
    font-weight: bold;
    border-width: 1px;
    border-style: solid;
    padding: 0 2px;
}
.ko {
    color: #a00;
    border-color: #a00;
    background-color: #fee;
}
.ok {
    color: #0a0;
    border-color: #0a0;
    background-color: #efe;
}
#template {
    width: 100%;
}
#checkedTemplate {
    padding: 5px;
    border: 1px solid #888;
    background-color: #eee;
    color: #006;
}
#checkedTemplate strong {
    color: #600;
}
#checkedTemplate em {
    color: #060;
}
.error {
    padding: 8px;
    color: #600;
    margin: 8px;
}
.rowedit {
    background: url('ico_edit.png');
    display: inline-block;
    width: 16px;
    height: 16px;
}
.rowdelete {
    background: url('ico_delete.png');
    display: inline-block;
    width: 16px;
    height: 16px;
}
.tblData {
    margin: 0px auto;
    padding: 0px;
    width: 90%;
    box-shadow: 10px 10px 5px #888888;
    border: 1px solid #ddd;
    -moz-border-radius-bottomleft: 0px;
    -webkit-border-bottom-left-radius: 0px;
    border-bottom-left-radius: 0px;
    -moz-border-radius-bottomright: 0px;
    -webkit-border-bottom-right-radius: 0px;
    border-bottom-right-radius: 0px;
    -moz-border-radius-topright: 0px;
    -webkit-border-top-right-radius: 0px;
    border-top-right-radius: 0px;
    -moz-border-radius-topleft: 0px;
    -webkit-border-top-left-radius: 0px;
    border-top-left-radius: 0px;
}
.tblData table {
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
}
.tblData tr:nth-child(odd) {
    background-color: #aad4ff;
}
.tblData tr:nth-child(even) {
    background-color: #ffffff;
}
.tblData td, .tblData th {
    vertical-align: middle;
    border: 1px solid #ccc;
    border-width: 0px 1px 0px 0px;
    text-align: left;
    padding: 7px;
    font-size: 14px;
    font-family: Arial;
    font-weight: normal;
    color: #000000;
}
.tblData tr.autotained:nth-child(odd) {
    background-color: #ecc;
}
.tblData tr.autotained:nth-child(even) {
    background-color: #edd;
}
.tblData1 tr:last-child td:last-child {
    -moz-border-radius-bottomright: 0px;
    -webkit-border-bottom-right-radius: 0px;
    border-bottom-right-radius: 0px;
}
.tblData1 table tr:first-child td:first-child {
    -moz-border-radius-topleft: 0px;
    -webkit-border-top-left-radius: 0px;
    border-top-left-radius: 0px;
}
.tblData1 table tr:first-child td:last-child {
    -moz-border-radius-topright: 0px;
    -webkit-border-top-right-radius: 0px;
    border-top-right-radius: 0px;
}
.tblData1 tr:last-child td:first-child {
    -moz-border-radius-bottomleft: 0px;
    -webkit-border-bottom-left-radius: 0px;
    border-bottom-left-radius: 0px;
}
.tblData1 tr:hover td {}
.tblData1 tr:nth-child(odd) {
    background-color: #aad4ff;
}
.tblData1 tr:nth-child(even) {
    background-color: #ffffff;
}
.tblData1 td {
    vertical-align: middle;
    border: 1px solid #000000;
    border-width: 0px 1px 1px 0px;
    text-align: left;
    padding: 7px;
    font-size: 14px;
    font-family: Arial;
    font-weight: normal;
    color: #000000;
}
.tblData1 tr:last-child td {
    border-width: 0px 1px 0px 0px;
}
.tblData1 tr td:last-child {
    border-width: 0px 0px 1px 0px;
}
.tblData1 tr:last-child td:last-child {
    border-width: 0px 0px 0px 0px;
}
.tblData1 tr:first-child td {
    background: -o-linear-gradient(bottom, #005fbf 5%, #003f7f 100%);
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #005fbf), color-stop(1, #003f7f));
    background: -moz-linear-gradient( center top, #005fbf 5%, #003f7f 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#005fbf", endColorstr="#003f7f");
    background: -o-linear-gradient(top, #005fbf, 003f7f);
    background-color: #005fbf;
    border: 0px solid #000000;
    text-align: center;
    border-width: 0px 0px 1px 1px;
    font-size: 14px;
    font-family: Arial;
    font-weight: bold;
    color: #ffffff;
}
.tblData1 tr:first-child:hover td {
    background: -o-linear-gradient(bottom, #005fbf 5%, #003f7f 100%);
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #005fbf), color-stop(1, #003f7f));
    background: -moz-linear-gradient( center top, #005fbf 5%, #003f7f 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#005fbf", endColorstr="#003f7f");
    background: -o-linear-gradient(top, #005fbf, 003f7f);
    background-color: #005fbf;
}
.tblData1 tr:first-child td:first-child {
    border-width: 0px 0px 1px 0px;
}
.tblData1 tr:first-child td:last-child {
    border-width: 0px 0px 1px 1px;
}
/*
.adcontainer{
  bottom: 0;
    height: 50px;
    margin: 0 auto;
    position: absolute;
    width: 320px;
}    */

.adcontainer {
    position: fixed;
 bottom: 0;

     margin-left: -1px;
}